LDAPPluginServiceDescriptor< className > Class Template Reference

`#include <pldap.h>`

Inheritance diagram for LDAPPluginServiceDescriptor< className >:

## Public Member Functions

virtual PObject * | CreateInstance (int) const
virtual PStringArray | GetDeviceNames (int) const
Public Member Functions inherited from PDevicePluginServiceDescriptor
virtual bool | ValidateDeviceName (const PString &deviceName, int userData) const
virtual bool | GetDeviceCapabilities (const PString &deviceName, void *capabilities) const
Public Member Functions inherited from PPluginServiceDescriptor
| PPluginServiceDescriptor ()
virtual | ~PPluginServiceDescriptor ()
virtual unsigned | GetPluginAPIVersion () const

## Additional Inherited Members

Static Public Attributes inherited from PDevicePluginServiceDescriptor
static const char | SeparatorChar
Protected Attributes inherited from PPluginServiceDescriptor
unsigned | version

## Member Function Documentation

template<class className>

virtual PObject* LDAPPluginServiceDescriptor< className >::CreateInstance | ( | int |  | ) | const

inline virtual

Implements PDevicePluginServiceDescriptor.

template<class className>

virtual PStringArray LDAPPluginServiceDescriptor< className >::GetDeviceNames | ( | int |  | ) | const

inline virtual

Implements PDevicePluginServiceDescriptor.

The documentation for this class was generated from the following file:

- pldap.h